SOURCES = \
  widgets/fixed-text.cpp dirtiable-image.cpp window.cpp

build/%.cpp.o: source/%.cpp
	@mkdir -p $(@D)
	$(HILBERT_CC) -c $^ -o $@

build/libpake.a: $(SOURCES:%=build/%.o)
	$(HILBERT_AR) rcs $@ $^

clean:
	rm -rf build
